      SUBROUTINE IBCCCU(F, X, NX, Y, NY, C, IC, WK, IER)
C...Translated by Pacific-Sierra Research VAST-90 2.06G2  10:50:51  10/ 1/01  
C...Switches: -p4 -yb
      IMPLICIT NONE
C-----------------------------------------------
C   D u m m y   A r g u m e n t s
C-----------------------------------------------
      INTEGER NX, NY, IC, IER
      REAL, DIMENSION(IC,1) :: F
      REAL, DIMENSION(NX) :: X
      REAL, DIMENSION(NY) :: Y
      REAL, DIMENSION(2,IC,1) :: C
      REAL, DIMENSION(2*NX*NY+2*MAX(NX,NY)) :: WK
C-----------------------------------------------
C   L o c a l   V a r i a b l e s
C-----------------------------------------------
      INTEGER :: IWK
C-----------------------------------------------
C                                  SPECIFICATIONS FOR ARGUMENTS
C                                  SPECIFICATIONS FOR LOCAL VARIABLES
C                                  FIRST EXECUTABLE STATEMENT
      IER = 129
      IF (IC < NX) GO TO 9000
      IER = 130
      IF (NX < 4) GO TO 9000
      IER = 131
      IF (NY < 4) GO TO 9000
      IWK = 2*NY*NX
      CALL IBCDCU (X, F, NX, NY, WK(IWK+1), WK, IC, NY, IER)
      IF (IER > 0) GO TO 9000
      CALL IBCDCU (Y, WK, NY, 2*NX, WK(IWK+1), C, NY, 2*IC, IER)
 9000 continue
      if(ier /= 0) then
        call uertst(ier, 'IBCCCU')
      end if
      RETURN 
      END SUBROUTINE IBCCCU
